Subject: bug#25914: Bug #25914: Please document compilation of Windows Resource files

From: Simon McVittie <[email-masked]>
Date: Tue, 10 Oct 2017 16:35:36 +0100

On Mon, 09 Oct 2017 at 13:03:23 -0500, Bob Friesenhahn wrote:
> > I would appreciate feedback from libtool developers on how much of this is
> > working as intended, and how much of it is a bug in either Automake or
> > libtool.
> 
> A quick guess is that GNU make is being used

Yes, it is (at least on my side, not sure about my dbus co-maintainer).

> and it applies built-in rules
> for this if the Makefile does not provide its own rule

My make (GNU Make 4.1-9.1 as distributed by Debian) doesn't seem to have
anything built-in for .rc files - at least, strings(1) shows me the rules
I'd expect to be built in (.c, .cc and so on) but doesn't mention .rc.

> A later Automake
> may be blocking out built-in rules for targets Automake does not support in
> order to improve performance.

After invoking LT_LANG([Windows Resource]) in configure.ac, is the
Automake-generated build system meant to support compiling .rc files to
.lo and/or .o? I would expect that it should, but perhaps that expectation
is wrong?

Thanks,
    smcv